/*
 * Copyright (c) "Neo4j"
 * Neo4j Sweden AB [http://neo4j.com]
 *
 * This file is part of Neo4j.
 *
 * Neo4j is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.neo4j.gds.core.io.file;

import org.neo4j.batchimport.api.InputIterable;
import org.neo4j.gds.api.schema.MutableNodeSchema;
import org.neo4j.gds.api.schema.MutableRelationshipSchema;
import org.neo4j.gds.api.schema.PropertySchema;
import org.neo4j.gds.core.loading.Capabilities;

import java.util.HashMap;
import java.util.Map;
import java.util.Optional;

public interface FileInput {
    InputIterable nodes();

    InputIterable relationships();
    InputIterable graphProperties();
    String userName();
    GraphInfo graphInfo();
    MutableNodeSchema nodeSchema();
    Optional<HashMap<String, String>> labelMapping();
    MutableRelationshipSchema relationshipSchema();
    Map<String, PropertySchema> graphPropertySchema();
    Capabilities capabilities();
}
